var __assign = this && this.__assign || function () {
  __assign = Object.assign || function (t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
      s = arguments[i];

      for (var p in s) {
        if (Object.prototype.hasOwnProperty.call(s, p)) t[p] = s[p];
      }
    }

    return t;
  };

  return __assign.apply(this, arguments);
};

import { jsx as _jsx } from "react/jsx-runtime";

function ColorPicker(props) {
  return _jsx("svg", __assign({
    width: 48,
    height: 48,
    viewBox: "0 0 48 48",
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  }, props, {
    children: _jsx("path", {
      d: "M41.42 11.26l-4.68-4.68c-.78-.78-2.04-.78-2.82 0l-6.24 6.24L23.82 9 21 11.82l2.84 2.84L6 32.5V42h9.5l17.84-17.84L36.18 27 39 24.18l-3.84-3.84 6.24-6.24c.8-.8.8-2.06.02-2.84zM13.84 38L10 34.16l16.12-16.12 3.84 3.84L13.84 38z",
      fill: "currentColor"
    }, void 0)
  }), void 0);
}

export var ReactComponent = ColorPicker;
export default ColorPicker;

